summaryrefslogtreecommitdiff
path: root/testprogs/blackbox/test_locktest.sh
diff options
context:
space:
mode:
Diffstat (limited to 'testprogs/blackbox/test_locktest.sh')
-rwxr-xr-xtestprogs/blackbox/test_locktest.sh9
1 files changed, 5 insertions, 4 deletions
diff --git a/testprogs/blackbox/test_locktest.sh b/testprogs/blackbox/test_locktest.sh
index 60597ba83f..c08b408107 100755
--- a/testprogs/blackbox/test_locktest.sh
+++ b/testprogs/blackbox/test_locktest.sh
@@ -3,9 +3,9 @@
# Copyright (C) 2008 Andrew Tridgell
# based on test_smbclient.sh
-if [ $# -lt 4 ]; then
+if [ $# -lt 5 ]; then
cat <<EOF
-Usage: test_locktest.sh SERVER USERNAME PASSWORD DOMAIN
+Usage: test_locktest.sh SERVER USERNAME PASSWORD DOMAIN PREFIX
EOF
exit 1;
fi
@@ -14,7 +14,8 @@ SERVER=$1
USERNAME=$2
PASSWORD=$3
DOMAIN=$4
-shift 4
+PREFIX=$5
+shift 5
failed=0
samba4bindir=`dirname $0`/../../source/bin
@@ -35,6 +36,6 @@ testit() {
return $status
}
-testit "locktest" $VALGRIND $locktest //$SERVER/test1 //$SERVER/test2 -o 100 -W "$DOMAIN" -U"$USERNAME%$PASSWORD" -U"$USERNAME%$PASSWORD" $@ || failed=`expr $failed + 1`
+testit "locktest" $VALGRIND $locktest //$SERVER/test1 //$SERVER/test2 --num-ops=100 -W "$DOMAIN" -U"$USERNAME%$PASSWORD" $@ || failed=`expr $failed + 1`
exit $failed